equilibrium_probs.h File Reference
RNA Secondary Structure Prediction » Computing Partition Functions and Pair Probabilities

Equilibrium Probability implementations. More...

Include dependency graph for equilibrium_probs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

double | vrna_mean_bp_distance_pr (int length, FLT_OR_DBL *pr)
| Get the mean base pair distance in the thermodynamic ensemble from a probability matrix. More...
double | vrna_mean_bp_distance (vrna_fold_compound_t *vc)
| Get the mean base pair distance in the thermodynamic ensemble. More...
vrna_plist_t * | vrna_stack_prob (vrna_fold_compound_t *vc, double cutoff)
| Compute stacking probabilities. More...

## Detailed Description

Equilibrium Probability implementations.

This file includes various implementations for equilibrium probability computations based on the partition function of an RNA sequence, two concatenated sequences, or a sequence alignment.